org.eclipse.ease.debugging.events

## Class SuspendedEvent

- java.lang.Object
- - org.eclipse.ease.debugging.events.AbstractEvent
  - - org.eclipse.ease.debugging.events.SuspendedEvent

All Implemented Interfaces:
  IDebugEvent, IDebuggerEvent

    public class SuspendedEvent
    extends AbstractEvent
    implements IDebuggerEvent

### Constructor Summary

Constructors
Constructor and Description
`SuspendedEvent(int type, Thread thread, List<IScriptDebugFrame> debugFrames)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<IScriptDebugFrame>` `getDebugFrames()`
`Thread` `getThread()`
`int` `getType()`

### Methods inherited from class org.eclipse.ease.debugging.events.AbstractEvent

`toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SuspendedEvent

    public SuspendedEvent(int type,
                          Thread thread,
                          List<IScriptDebugFrame> debugFrames)

### Method Detail

#### getType

    public int getType()

#### getThread

    public Thread getThread()

#### getDebugFrames

    public List<IScriptDebugFrame> getDebugFrames()